net.sourceforge.pmd.lang.jsp.ast

## Class XPathJspRuleTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.lang.jsp.ast.XPathJspRuleTest

    public class XPathJspRuleTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`XPathJspRuleTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testExpressionMatching()` Test matching a XPath expression against a JSP source.

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathJspRuleTest

    public XPathJspRuleTest()

### Method Detail

#### testExpressionMatching

    public void testExpressionMatching()
                                throws Throwable

Test matching a XPath expression against a JSP source.

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()